Sax2XMLReaderCreator (Jing API)
Description: declaration: package: com.thaiopensource.xml.sax, class: Sax2XMLReaderCreator

# Class Sax2XMLReaderCreator

java.lang.Object
com.thaiopensource.xml.sax.Sax2XMLReaderCreator

All Implemented Interfaces:
  `XMLReaderCreator`

public class Sax2XMLReaderCreator extends Object implements XMLReaderCreator
An `XMLReaderCreator` that creates `XMLReader`s using the SAX2 `XMLReaderFactory`. An instance of this class is safe for concurrent access by multiple threads.

Author:
  James Clark
See Also:
  - `XMLReaderFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Sax2XMLReaderCreator()`
  Constructs a `Sax2XMLReaderCreator` that uses system defaults to construct `XMLReader`s.
  `Sax2XMLReaderCreator(String className)`
  Constructs a `Sax2XMLReaderCreator` that constructs `XMLReader`s with the specified class name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XMLReader`
  `createXMLReader()`
  Creates a new `XMLReader`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Sax2XMLReaderCreator

    public Sax2XMLReaderCreator()
    Constructs a `Sax2XMLReaderCreator` that uses system defaults to construct `XMLReader`s.

  - ### Sax2XMLReaderCreator

    public Sax2XMLReaderCreator(String className)
    Constructs a `Sax2XMLReaderCreator` that constructs `XMLReader`s with the specified class name.
    Parameters:
      `className` - the fully-qualified name of the class implementing `XMLReader`; if `null` equivalent to the no-argument constructor

- ## Method Details

  - ### createXMLReader

    public XMLReader createXMLReader() throws SAXException
    Description copied from interface: `XMLReaderCreator`
    Creates a new `XMLReader`.
    Specified by:
      `createXMLReader` in interface `XMLReaderCreator`
    Returns:
      a new `XMLReader`; never `null`
    Throws:
      `SAXException` - If an `XMLReader` cannot be created for any reason